Bug 114453 - Glassfish must be running on a JDK >= NB Visual Web
Glassfish must be running on a JDK >= NB Visual Web
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
6.x
PC All
: P3 (vote)
: TBD
Assigned To: _ potingwu
issues@obsolete
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 07:13 UTC by John Baker
Modified: 2008-02-27 21:14 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Baker 2007-09-02 07:13:16 UTC
If NetBeans is running on JDK 1.6.x then Glassfish must be running on JDK 1.6.x

Otherwise if Glassfish is running on a JDK 1.5 then deployment will fail with an error similar to this:

"java.lang.UnsupportedClassVersionError: PWC1651: Class webapplication37.ApplicationBean1 has unsupported major or minor
version numbers, which are greater than those found in the Java Runtime Environment version 1.5.0_12 "
Comment 1 John Baker 2007-09-02 07:14:20 UTC
To be documented in the release notes
Comment 2 Joseph Silber 2007-09-03 11:22:43 UTC
Release note added.

Issue #114453: Deployment fails if NetBeans and GlassFish not running on same version of Java. 

Description: If NetBeans is running on JDK 1.6.x then Glassfish must be running on JDK 1.6.x. If GlassFish is running on
an earlier JDK, deployment fails with a java.lang.UnsupportedClassVersionError.

Workaround: No workaround. 
Comment 3 John Baker 2007-09-03 18:43:55 UTC
Since a release note has been added then this issue has been resolved
Comment 4 John Baker 2008-02-27 21:14:28 UTC
Can be moved to the FAQ list


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo